# List of software (un)affected by the log4shell CVEs
[About this list](README.md)

[0-9](software_list_0-9.md) [A](software_list_a.md) [B](software_list_b.md) [C](software_list_c.md) [D](software_list_d.md) [E](software_list_e.md) [F](software_list_f.md) [G](software_list_g.md) [H](software_list_h.md) [I](software_list_i.md) [J](software_list_j.md) [K](software_list_k.md) [L](software_list_l.md) [M](software_list_m.md) [N](software_list_n.md) [O](software_list_o.md) [P](software_list_p.md) [Q](software_list_q.md) [R](software_list_r.md) [S](software_list_s.md) [T](software_list_t.md) [U](software_list_u.md) [V](software_list_v.md) [W](software_list_w.md) [X](software_list_x.md) [Y](software_list_y.md) [Z](software_list_z.md)

### D

| Supplier | Product | Version (see Status) | Status CVE-2021-4104 | Status CVE-2021-44228 | Status CVE-2021-45046 | Status CVE-2021-45105 | Notes | Links |
|:---------|:--------|:--------------------:|:--------------------:|:---------------------:|:---------------------:|:---------------------:|:------|------:|
|DarkTrace|All| | | | | | |[DarkTrace Customer Portal](https://customerportal.darktrace.com/inside-the-soc/get-article/201)|
|Dassault Systèmes|All| | | | | | |[Dassault Systemes Link](https://kb.dsxclient.3ds.com/mashup-ui/page/resultqa?id=QA00000102301e)|
|Databricks|All| | | | | | |[Databricks Google Doc](https://docs.google.com/document/d/e/2PACX-1vREjwZk17BAHGwj5Phizi4DPFS9EIUbAMX-CswlgbFwqwKXNKZC8MrT-L6wUgfIChsSHtvd_QD3-659/pub)|
|Datadog|Agent|>=6.17.0, <=6.32.2, >=7.17.0, <=7.32.2|Not vuln|Fix| | | |[Datadog Log4j Vulnerability Update](https://www.datadoghq.com/log4j-vulnerability/)|
|DatadogHQ|Datadog Agent|6 < 6.32.3, 7 < 7.32.3|Not vuln|Fix| | |JMX monitoring component leverages an impacted version of log4j|[source](https://www.datadoghq.com/log4j-vulnerability/)|
|DatadogHQ|datadog-kafka-connect-logs|< 1.0.2|Not vuln|Fix| | |Version 1.0.2 of the library uses version 2.16.0 of Log4j.|[source](https://www.datadoghq.com/log4j-vulnerability/)|
|DatadogHQ|datadog-lambda-java|< 0.3.3 or < 1.4.0|Not vuln|Fix| | |following AWS’s recommendation, library updated using the latest version of amazon-lambda-java-log4j2 (1.4.0).|[source](https://www.datadoghq.com/log4j-vulnerability/)|
|Dataminer|All| | | | | | |[Dataminer Community Link](https://community.dataminer.services/responding-to-log4shell-vulnerability/)|
|DataNet Quality Systems|WinSPC| |Not vuln|Not vuln|Not vuln|Not vuln|Note: this is not <strong>WinSCP</strong>. This is a Statistical Process Control software.||
|Datev|DATEV Mittelstand Faktura and DATEV Mittelstand Faktura mit Rechnungswesen compact| |Not vuln|Fix| | |German source|[source](https://apps.datev.de/help-left/documents/1022948)|
|Datev|DATEV Wages and Salaries compact| |Not vuln|Fix| | |German source|[source](https://apps.datev.de/help-left/documents/1022948)|
|Datev|DATEV-SmartIT| |Not vuln|Fix| | |German source|[source](https://apps.datev.de/help-left/documents/1022948)|
|Datev|DATEVasp| |Not vuln|Fix| | |German source|[source](https://apps.datev.de/help-left/documents/1022948)|
|Datev|Jasper Reports| |Not vuln|Fix| | |German source|[source](https://apps.datev.de/help-left/documents/1022948)|
|Datev|Lawyer's mailbox| |Not vuln|Fix| | |German source|[source](https://apps.datev.de/help-left/documents/1022948)|
|Datto|All Datto products| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.datto.com/blog/dattos-response-to-log4shell)|
|DBeaver|All| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://dbeaver.io/2021/12/15/log4shell-vulnerability-is-not-dangerous-for-dbeaver-users/)|
|dCache.org|All| | | | | | |[dCache.org Link](https://www.dcache.org/post/log4j-vulnerability/)|
|Debian|Apache-log4j.1.2|stretch, buster,  bullseye|Not vuln|Fix| | | |[source](https://security-tracker.debian.org/tracker/CVE-2021-44228)|
|Debian|Apache-log4j2|stretch, buster,  bullseye|Not vuln|Fix| | | |[source](https://security-tracker.debian.org/tracker/CVE-2021-44228)|
|Decos|Cloud|All|Not vuln|Not vuln|Not vuln|Not vuln| ||
|Decos|EvenementenAssistent + InkomensAssistent + Leerlingenvervoer + AIM online|All|Not vuln|Not vuln|Not vuln|Not vuln| ||
|Decos|Fixi|All|Not vuln|Not vuln|Not vuln|Not vuln| ||
|Decos|Integrations (StUF/ZGW/Doclogic-DataIntegrator)|All|Not vuln|Not vuln|Not vuln|Not vuln| ||
|Decos|JOIN Klant Contact|All|Not vuln|Not vuln|Not vuln|Not vuln| ||
|Decos|JOIN Zaak & Document (on-premise)|All|Not vuln|Workaround| | |The solution contains Elasticsearch (vulnerable). Mitigating actions available on our WIKI|[source](https://decos.freshdesk.com/a/solutions/articles/17000121598?lang=nl)|
|Decos|JOIN Zaak & Document (Private Cloud)|All|Not vuln|Fix| | |The SaaS hosted solution contains Logstash + Elasticsearch (vulnerable). Mitigating actions taken|[source](https://decos.freshdesk.com/a/solutions/articles/17000121598?lang=nl)|
|Deepinstinct|All| | | | | | |[Deepinstinct Link](https://www.deepinstinct.com/blog/log4shell-cve-2021-44228-what-you-need-to-know)|
|Dell|Alienware Command Center| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Alienware OC Controls| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Alienware On Screen Display| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Alienware Update| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|APEX Console| |Not vuln|Fix|Fix|Vulnerable|Cloud environment patched|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|APEX Data Storage Services| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Cloud environment patch in progress|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Atmos| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Avamar vproxy| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Azure Stack HCI| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|BSAFE Crypto-C Micro Edition| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|BSAFE Crypto-J| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|BSAFE Micro Edition Suite| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Calibration Assistant| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|CalMAN Powered Calibration Firmware| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|CalMAN Ready for Dell| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Centera| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Chameleon Linux Based Diagnostics| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Chassis Management Controller (CMC)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|China HDD Deluxe| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Cinema Color| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Client Platforms (Latitude, OptiPlex, Alienware, Inspiron, Precision, XPS, Vostro, ChengMing) BIOS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Cloud Command Repository Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Cloud IQ| |Not vuln|Fix|Fix|Vulnerable|Cloud environment patched|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Cloud Management Agent| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Cloud Mobility for Dell EMC Storage| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Cloud Tiering Appliance| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Color Management| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Command Configure| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Command Integration Suite for System Center| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Command Intel vPro Out of Band| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Command Monitor| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Command Power Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Command PowerShell Provider| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Command Update| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Common Event Enabler| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Connectrix (Cisco MDS 9000 switches)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Connectrix (Cisco MDS DCNM)| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch expected by 12/23/21|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Connectrix B-Series SANnav|2.1.1|Not vuln|Workaround|Workaround|Vulnerable|"<a href=""https://www.dell.com/support/kbdoc/nl-nl/000194461/dsa-2021-266-dell-emc-connectrix-b-series-sannav-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228"" rel=""nofollow"">See DSA-2021-266</a>"|[source](https://www.dell.com/support/kbdoc/nl-nl/000194461/dsa-2021-266-dell-emc-connectrix-b-series-sannav-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|Connextrix B Series| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Customer Connect| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|CyberSecIQ Application| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|CyberSense for PowerProtect Cyber Recovery| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Data Domain OS|7.3.0.5 to 7.7.0.6, 7.6.0.5 to 7.6.0.20, 7.3.0.5 to 7.7.0.6|Not vuln|Workaround|Workaround|Vulnerable|"<a href="https://www.dell.com/support/kbdoc/nl-nl/000194503/dsa-2021-274-dell-emc-data-domain-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228" rel="nofollow">See DSA-2021-274</a>"|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Data Guardian*| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Data Protection*| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Data Recovery Environment| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Data Vault| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Data Vault for Chrome OS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Dell EMC PowerMax VMAX VMAX3 and VMAX AFA| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Dell EMC PowerSwitch Z9264F-ON BMC Dell EMC PowerSwitch Z9432F-ON BMC| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Deployment Agent| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Digital Delivery| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Direct USB Key| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Display Manager 1.5 for Windows / macOS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Display Manager 2.0 for Windows / macOS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Dream Catcher| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|DUP Creation Service| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|DUP Framework (ISG)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Embedded NAS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Embedded Service Enabler| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC AppSync| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Avamar|18.2, 19.1, 19.2, 19.3, 19.4|Not vuln|Workaround|Workaround|Vulnerable|"<a href=""https://www.dell.com/support/kbdoc/nl-nl/000194480/dsa-2021-277-dell-emc-avamar-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228"" rel=""nofollow"">See DSA-2021-277</a>"|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC BSN Controller Node| |Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194631/dsa-2021-305-dell-emc-bsn-controller-node-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC Cloud Disaster Recovery| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch pending|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Cloudboost| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC CloudLink| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Container Storage Modules| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Data Computing Appliance (DCA)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Data Protection Advisor| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Data Protection Central|Versions before 19.5.0.7|Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194557/dsa-2021-269-dell-emc-data-protection-central-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC Data Protection Search|Versions before 19.6|Not vuln|Fix/Workaround|Fix/Workaround|Vulnerable|TBD (link will be updated when it becomes available)|[source](https://www.dell.com/support/kbdoc/nl-nl/000194629/dsa-2021-279-dell-emc-data-protection-search-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC DataIQ| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Disk Library for Mainframe| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC ECS|3.3.x, 3.4.x, 3.5.x, and 3.6.x|Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194612/dsa-2021-273-dell-emc-ecs-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC Enterprise Storage Analytics for vRealize Operations|Versions before 6.0.0, Version 6.1.0, Versions 6.2.x|Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194488/dsa-2021-278)|
|Dell|EMC GeoDrive| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Integrated System for Azure Stack HCI| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Refer to DSA for product updates|[source](https://www.dell.com/support/kbdoc/nl-nl/000194622/dsa-2021-307-dell-emc-integrated-system-for-azure-stack-hci-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC Integrated System for Microsoft Azure Stack Hub| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch pending|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Isilon InsightIQ| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC License Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Metro Node|Metro Node OS 7.0.x|Not vuln|Workaround|Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194630/dsa-2021)|
|Dell|EMC NetWorker|19.3.x, 19.4.x, 19.5.x|Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch expected by 12/20/21|[source](https://www.dell.com/support/kbdoc/nl-nl/000194541/dsa-2021-280-dell-emc-networker-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC NetWorker Server|19.5.x 19.4.x 19.3.x| |Vulnerable| | |Patch expected by 12/20/21|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC NetWorker VE|19.3.x, 19.4.x, 19.5.x|Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch expected by 12/20/21|[source](https://www.dell.com/support/kbdoc/nl-nl/000194541/dsa-2021-280-dell-emc-networker-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC NetWorker Virtual Edition|19.5.x 19.4.x 19.3.x| |Vulnerable| | |Patch expected by 12/20/21|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Networking Onie| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Networking Virtual Edge Platform with VersaOS| |Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194621/dsa-2021-304-dell-emc-networking-virtual-edge-platform-with-versaos-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC OpenManage Ansible Modules| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC OpenManage Enterprise Services| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch expected by 12/20/21|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC OpenManage integration for Splunk| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC OpenManage Integration for VMware vCenter| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC OpenManage Management pack for vRealize Operations| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC OpenManage Operations Connector for Micro Focus Operations Bridge Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerFlex Appliance| |Not vuln|Workaround|Workaround|Vulnerable|"<a href=""https://www.dell.com/support/kbdoc/nl-nl/000194579/dsa-2021-293-dell-powerflex-appliance-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228"" rel=""nofollow"">See DSA-2021-293</a>"|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerFlex Rack|RCM 3.3 train: all versions up to 3.3.11.0, RCM 3.4 train: all versions up to 3.4.6.0, RCM 3.5 train: all versions up to 3.5.6.0, RCM 3.6 train: all versions up to 3.6.2.0|Not vuln|Workaround|Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194578/dsa-2021-292-dell-powerflex-rack-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC PowerFlex Software (SDS)|3.5, 3.5.1, 3.5.1.1, 3.5.1.2, 3.5.1.3, 3.5.1.4, 3.6, 3.6.0.1, 3.6.0.2|Not vuln|Workaround|Workaround|Vulnerable|"<a href=""https://www.dell.com/support/kbdoc/nl-nl/000194548/dsa-2021-272-dell-powerflex-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228"" rel=""nofollow"">See DSA-2021-272</a>"|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerMax, VMAX, VMAX3, and VMAX AFA| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerPath| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerPath Management Appliance| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerProtect Cyber Recovery| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerProtect Data Manager|All versions 19.9 and earlier|Not vuln|Workaround|Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194549/dsa-2021-286-dell-emc-power-protect-data-manager-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC PowerProtect DP Series Appliance (iDPA)|2.7.0 and earlier|Not vuln|Workaround|Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194532/dsa-2021-285-dell-emc-integrated-data-protection-appliance-powerprotect-dp-series-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC PowerScale OneFS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerShell for PowerMax| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerShell for Powerstore| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerShell for Unity| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerStore| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch expected by 12/23/21|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerSwitch Z9264F-ON BMC, Dell EMC PowerSwitch Z9432F-ON BMC| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerVault MD3 Series Storage Arrays| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC PowerVault ME4 Series Storage Arrays| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC RecoverPoint|All 5.0.x and later versions, All 5.1.x and later versions|Not vuln|Workaround|Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194531/dsa-2021-284-dell-emc-recoverpoint-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC RecoverPoint Classic|All 5.1.x and later versions| |Vulnerable| | |Patch pending|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC RecoverPoint for Virtual Machine|All 5.0.x and later versions| |Vulnerable| | |Patch pending|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Repository Manager (DRM)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Ruckus SmartZone 100 Controller| |Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194616/dsa-2021-303-dell-emc-ruckus-wireless-controller-and-virtual-software-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC Ruckus SmartZone 300 Controller| |Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194616/dsa-2021-303-dell-emc-ruckus-wireless-controller-and-virtual-software-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC Ruckus Virtual Software| |Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194616/dsa-2021-303-dell-emc-ruckus-wireless-controller-and-virtual-software-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC SourceOne| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC SRM vApp|Versions before 4.6.0.2|Not vuln|Workaround|Workaround|Vulnerable|Patch expected by 1/25/2022|[source](https://www.dell.com/support/kbdoc/nl-nl/000194613/dsa-2021-301)|
|Dell|EMC Streaming Data Platform| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch expected by 12/18/21|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Systems Update (DSU)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Unisphere 360| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC Unity| |Not vuln|Workaround|Workaround|Workaround|Dell Artikelnummer: 000194826, DSA-2021-294|[source](https://www.dell.com/support/kbdoc/nl-nl/000194826/dsa-2021-294-dell-emc-unity-dell-emc-unityvsa-and-dell-emc-unity-xt-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228-cve-2021-45046-and-cve-2021-45105)|
|Dell|EMC Virtual Storage Integrator| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC VPLEX| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC VxRail|4.5.x versions, 4.7.x versions, 7.0.x versions|Not vuln|Workaround|Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194466/dsa-2021-265-dell-emc-vxrail-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|EMC XC| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch pending|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|EMC XtremIO| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Encryption Enterprise*| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Encryption Personal*| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Endpoint Security Suite Enterprise*| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Enterprise Hybrid Cloud|4.1.2|Not vuln|Not vuln|Not vuln|Not vuln|Refer to DSA for product updates|[source](https://www.dell.com/support/kbdoc/nl-nl/000194490/dsa-2021-270-enterprise-hybrid-cloud-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|Equallogic PS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Fluid FS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Hybrid Client| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|iDRAC Service Module (iSM)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|ImageAssist| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Infinity MLK (firmware)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Insights Client| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Integrated Dell Remote Access Controller (iDRAC)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|ISG Accelerators| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|ISG Board & Electrical| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|ISG Comms| |Not vuln|Investigation|Investigation|Investigation| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|ISG Memory| |Not vuln|Investigation|Investigation|Investigation| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|IsilonSD Management Server| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|IVE-WinDiag| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Linux Assistant| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Mainframe Enablers| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|MDS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Mobile Connect| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Monitor ISP (Windows/Mac/Linux)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Monitor SDK| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|My Dell| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|My Dell Mobile| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|MyDell Mobile| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|NetWorker Management Console| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Networking BIOS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Networking DIAG| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Networking N-Series| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Networking OS 10| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Networking OS 9| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Networking OS9| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Networking SD-WAN Edge SD-WAN| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Networking W-Series| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Networking X-Series| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OMIMSSC (OpenManage Integration for Microsoft System Center)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OMNIA| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Open Manage Mobile| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Open Manage Server Administrator| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Open Management Enterprise - Modular|Versions before 1.40.10|Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194625/dsa-2021-268-dell-emc-openmanage-enterprise-modular-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|OpenManage Change Management| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Connections - Nagios| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Connections - ServiceNow| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Connections-Nagios| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Connections-ServiceNow| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Enterprise| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch expected by 12/19/21|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Enterprise Power Manager Plugin| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Essentials| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Integration for Microsoft System Center for System Center Operations Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Integration with Microsoft Windows Admin Center| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OpenManage Network Integration| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Optimizer| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|OS Recovery Tool| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Peripheral Manager 1.4 / 1.5 for Windows| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Peripheral Manager 1.4/1.5 for Windows| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Platform Service| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Power Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Power Manager Lite| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|PowerConnect N3200| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|PowerConnect PC2800| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|PowerConnect PC8100| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|PowerEdge BIOS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|PowerEdge Operating Systems| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|PowerTools Agent| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|PPDM Kubernetes cProxy| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|PPDM VMware vProxy| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Precision Optimizer| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Precision Optimizer for Linux| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Premier Color| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Recovery (Linux)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Redtail| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Remediation Platform| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Remote Execution Engine (DRONE)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Remotely Anywhere| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Riptide (firmware)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Rugged Control Center (RCC)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|SD ROM Utility| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|SDNAS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Secure Connect Gateway (SCG) Appliance|5.00.00, 5.00.05, and 4.0.06 and earlier versions (OVF and VHD)|Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194624/dsa-2021-282-dell-emc-secure-connect-gateway-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|Secure Connect Gateway (SCG) Policy Manager|5.00.00.10, 5.00.05.10|Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194539/dsa-2021-281-dell-emc-policy-manager-for-secure-connect-gateway-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|Security Advisory Update - DSA-2021-088| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Security Advisory Update-DSA-2021-088| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Security Management Server &   Security Management Server Virtual*| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Security Management Server & Dell Security Management Server Virtual*| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Server Storage| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Smart Fabric Storage Software| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|SmartByte| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|SMI-S| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Software RAID| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Solutions Enabler| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Solutions Enabler vApp| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Sonic| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|SRS Policy Manager|7.0|Not vuln|Workaround|Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194544/dsa-2021-287-dell-emc-srs-policy-manager-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|SRS VE| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Storage Center - Dell Storage Manager| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch pending|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Storage Center OS and additional SC applications unless otherwise noted| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|SupportAssist Client Commercial| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|SupportAssist Client Consumer| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|SupportAssist Enterprise| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch expected by 12/23/21|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|SupportAssist SOS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Thin OS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Threat Defense| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|True Color| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Trusted Device| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|UCC Edge| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Unisphere Central| |Not vuln|Vulnerable|Vulnerable|Vulnerable|Patch expected by 1/10/2022|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Unisphere for PowerMax| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Unisphere for PowerMax vApp| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Unisphere for VMAX| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Unisphere for VNX| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Update| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Update Manager Plugin| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Vblock| |Not vuln|Vulnerable|Vulnerable|Vulnerable|"<a href=""https://support-dellemc-com.secure.force.com/"" rel=""nofollow"">See vce6771 (requires customer login)</a>"|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|ViPR Controller| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|VMware vRealize Automation 8.x|8.2 8.3 8.4 8.5 and 8.6| |Vulnerable| | |Patch expected by 12/19/21|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|VMware vRealize Orchestrator 8.x|8.2 8.3 8.4 8.5 and 8.6| |Vulnerable| | |Patch expected by 12/19/21|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|VNX Control Station| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|VNX1| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|VNX2| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|VNXe 1600|Versions 3.1.16.10220572 and earlier|Not vuln|Workaround|Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194605/dsa-2021-299-dell-emc-vnxe1600-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228?lang=en)|
|Dell|VNXe 3200|Version 3.1.15.10216415 and earlier|Not vuln|Workaround|Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194606/dsa-2021-298-dell-emc-vnxe3200-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228?lang=en)|
|Dell|VPLEX VS2/VS6 / VPLEX Witness| |Not vuln|Not vuln|Not vuln|Not vuln| |[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|VPLEX VS2/VS6/VPLEX Witness| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|vRealize Data Protection Extension Data Management|version 19.6, version 19.7, version 19.8, and version 19.9|Not vuln|Fix/Workaround|Fix/Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194614/dsa-2021-290-dell-emc-vrealize-data-protection-extension-for-vrealize-automation-vra-8-x-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|vRealize Data Protection Extension for vRealize Automation (vRA) 8.x|version 19.6 version 19.7 version 19.8 and version 19.9|Not vuln|Fix| | |Patch expected by 12/19/21|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|vRealize Orchestrator (vRO) Plug-ins for Dell EMC Storage|Version 1.2.3 or earlier, Version 1.1.0 or earlier, Version 1.1.4 or earlier, Version 1.0.7 or earlier, Version 4.1.2 or earlier|Not vuln|Fix/Workaround|Fix/Workaround|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194610/dsa-2021-300)|
|Dell|vRO Plugin for Dell EMC PowerMax|Version 1.2.3 or earlier|Not vuln|Fix| | |See DSA-2021-300|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|vRO Plugin for Dell EMC PowerScale|Version 1.1.0 or earlier|Not vuln|Fix| | |See DSA-2021-300|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|vRO Plugin for Dell EMC PowerStore|Version 1.1.4 or earlier| |Vulnerable| | |See DSA-2021-300|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|vRO Plugin for Dell EMC Unity|Version 1.0.6 or earlier| |Vulnerable| | |See DSA-2021-300|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|vRO Plugin for Dell EMC XtremIO|Version 4.1.2 or earlier| |Vulnerable| | |See DSA-2021-300|[Dell Response to Apache Log4j Remote Code Execution Vulnerability (CVE-2021-44228)](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Vsan Ready Nodes| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|VxBlock| |Not vuln|Vulnerable|Vulnerable|Vulnerable|"<a href=""https://support-dellemc-com.secure.force.com/"" rel=""nofollow"">See vce6771 (requires customer login)</a>"|[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Warnado MLK (firmware)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Wyse Management Suite|Version 3.5 and earlier|Not vuln|Fix|Fix|Vulnerable| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194459/dsa-2021-267-dell-wyse-management-suite-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228)|
|Dell|Wyse Proprietary OS (ThinOS)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Dell|Wyse Windows Embedded Suite| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.dell.com/support/kbdoc/nl-nl/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability)|
|Deltares|Delft-FEWS|>2018.02|Not vuln|Fix| | |Mitigations Only|[Deltares Advisory](https://publicwiki.deltares.nl/display/FEWSDOC/Delft-FEWS+and+Log4J+vulnerability)|
|Denequa|All| | | | | | |[Denequa Link](https://denequa.de/log4j-information.html)|
|Device42|All|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://blog.device42.com/2021/12/13/log4j-zero-day/)|
|Devolutions|All| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://blog.devolutions.net/2021/12/critical-vulnerability-in-log4j/)|
|Diebold Nixdorf|All| | | | | | |[Diebold Nixdorf Link](https://www.dieboldnixdorf.com/en-us/apache)|
|Digi International|AnywhereUSB Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|ARMT| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Aview| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|AVWOB| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|CTEK G6200 family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|CTEK SkyCloud| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|CTEK Z45 family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi 54xx family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi 63xx family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi AnywhereUSB (G2) family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi AnywhereUSB Plus family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Connect EZ family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Connect family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Connect IT family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Connect Sensor family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Connect WS family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi ConnectPort family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi ConnectPort LTS family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Embedded Android| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Embedded Yocto| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi EX routers| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi IX routers| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi LR54| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Navigator| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi One family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Passport family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi PortServer TS family| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Remote Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi TX routers| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi WR11| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi WR21| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi WR31| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi WR44R/RR| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi WR54| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi WR64| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Digi Xbee mobile app| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Lighthouse| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Realport| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digi International|Remote Hub Config Utility| |Not vuln|Not vuln|Not vuln|Not vuln| |[Digi International Advisory Link](https://www.digi.com/resources/security)|
|Digicert|All| | | | | | |[Digicert Link](https://knowledge.digicert.com/alerts/digicert-log4j-response.html)|
|Digital AI|All| | | | | | |[Digital AI Article](https://support.digital.ai/hc/en-us/articles/4412377686674-Log4J-Vulnerability-to-Zero-Day-Exploit-and-Digital-ai#overview-0-1)|
|DirectAdmin|All| |Not vuln|Not vuln|Not vuln|Not vuln|Invidivual plugins not developed as part of DirectAdmin core may be vulnerable.|[source](https://forum.directadmin.com/threads/new-zero-day-exploit-for-log4j-java-library-is-an-enterprise-nightmare.65173/post-339723)|
|DNSFilter|All| | | | | | |[DNSFilter Blog Post](https://www.dnsfilter.com/blog/dnsfilter-response-to-log4j-vulnerability)|
|Docker|infrastructure| |Not vuln|Not vuln|Not vuln|Not vuln|Docker infrastructure not vulnerable, Docker images could be vulnerable. For more info see source.|[source](https://www.docker.com/blog/apache-log4j-2-cve-2021-44228/)|
|Docusign|All| | | | | | |[Docusign Alert](https://www.docusign.com/trust/alerts/alert-docusign-statement-on-the-log4j2-vulnerability)|
|DotCMS|Hybrid Content Management System| |Not vuln|Fix| | | |[source](https://github.com/dotCMS/core/issues/21393)|
|Dräger|All Medical Devices| | |Not vuln| | | |[source](https://static.draeger.com/security)|
|Draytek|All| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.draytek.com/about/security-advisory/log4shell-vulnerability-(cve-2021-44228)/)|
|Dropwizard|All| |Not vuln|Not vuln|Not vuln|Not vuln|Only vulnerable if you manually added Log4j|[source](https://twitter.com/dropwizardio/status/1469285337524580359)|
|DSpace|All| | | | | | |[DSpace Google Group](https://groups.google.com/g/dspace-community/c/Fa4VdjiiNyE)|
|Dynatrace|ActiveGate| |Not vuln|Not vuln|Not vuln|Not vuln| |[Official Dynatrace Communication](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/)|
|Dynatrace|ActiveGates|1.229.49.20211210-165018, 1.227.31.20211210-164955, 1.225.29.20211210-164930, 1.223.30.20211210-164926|Not vuln|Fix| | | |[source](https://community.dynatrace.com/t5/Dynatrace-Open-Q-A/Impact-of-log4j-zero-day-vulnerability/m-p/177259/highlight/true#M19282)|
|Dynatrace|Cloud Services| |Not vuln|Fix| | | |[source](https://community.dynatrace.com/t5/Dynatrace-Open-Q-A/Impact-of-log4j-zero-day-vulnerability/m-p/177259/highlight/true#M19282)|
|Dynatrace|Extensions| |Not vuln|Fix| | |Please see Dynatrace Communication for details|[Official Dynatrace Communication](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/)|
|Dynatrace|FedRamp SAAS| |Not vuln|Fix| | | |[Official Dynatrace Communication](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/)|
|Dynatrace|Managed cluster nodes| |Not vuln|Not vuln|Not vuln|Not vuln|Please see Dynatrace Communication for details|[Official Dynatrace Communication](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/)|
|Dynatrace|OneAgent| |Not vuln|Not vuln|Not vuln|Not vuln| |[Official Dynatrace Communication](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/)|
|Dynatrace|SAAS| |Not vuln|Fix| | | |[Official Dynatrace Communication](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/)|
|Dynatrace|Synthetic Private ActiveGate| |Not vuln|Fix| | |Please see Dynatrace Communication for details|[Official Dynatrace Communication](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/)|
|Dynatrace|Synthetic public locations| |Not vuln|Fix| | | |[Official Dynatrace Communication](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/)|
